Last Comment Bug 722775 - rm sameGroupAs
: rm sameGroupAs
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: XPConnect (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla15
Assigned To: Luke Wagner [:luke]
:
Mentors:
Depends on: 720753
Blocks: cpg
  Show dependency treegraph
 
Reported: 2012-01-31 10:24 PST by Luke Wagner [:luke]
Modified: 2012-05-04 03:17 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
rm (5.61 KB, patch)
2012-01-31 10:24 PST, Luke Wagner [:luke]
mrbkap: review+
Details | Diff | Review

Description Luke Wagner [:luke] 2012-01-31 10:24:44 PST
Created attachment 593150 [details] [diff] [review]
rm

Bug 650353 plans to make compartments and globals 1:1 (for a multitude of reasons).  Unfortunately, this makes implementing the sameGroupAs optimization impossible.  Fortunately, bug 720753 will make JSCompartment a lot slimmer so the optimization shouldn't matter as much.  The attached patch essentially backs out bug 677294.  There are no uses of sameGroupAs on mozilla-central, only the addons-sdk, so cc'ing some jetpack folks.
Comment 1 Blake Kaplan (:mrbkap) (please use needinfo!) 2012-02-01 06:18:50 PST
Comment on attachment 593150 [details] [diff] [review]
rm

Is it worth warning in the error console to make it easier to find uses of sameGroupAs.

The Jetpack folks knew that this was coming, along with the slimmer compartments, so hopefully this shouldn't be controversial. That said, we probably shouldn't land this until we actually do slim down compartments.
Comment 2 Bobby Holley (busy) 2012-05-03 00:13:49 PDT
Pushed to m-i:
http://hg.mozilla.org/integration/mozilla-inbound/rev/2654f79e0e84
Comment 3 Ed Morley [:emorley] 2012-05-04 03:17:20 PDT
https://hg.mozilla.org/mozilla-central/rev/2654f79e0e84

Note You need to log in before you can comment on or make changes to this bug.